#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

int StartSS(Conf cf);
int GetConnection(int s,Conf cf);
int SendSock(int s,const char *fmt, ...);
void AddSock(int val,struct slist *tmp);
int ReadSock(Sock socket);
void DeleteSock(Sock *head,int val);